package io.hmit.modules.demo.service;

import io.hmit.common.page.PageData;
import io.hmit.common.service.BaseService;
import io.hmit.modules.demo.dto.NewsDTO;
import io.hmit.modules.demo.entity.NewsEntity;

import java.util.Map;

/**
 * 新闻
 *
 * @author zsh 408538940@qq.com
 */
public interface NewsService extends BaseService<NewsEntity> {

    PageData<NewsDTO> page(Map<String, Object> params);

    NewsDTO get(Long id);

    void save(NewsDTO dto);

    void update(NewsDTO dto);
}

